CREATE TABLE irc_rec_event_sites (
    EVENT_SITE_ID            NUMBER(18, 0),
    EVENT_ID                 NUMBER(18, 0)    NOT NULL,
    SITE_ID                  NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    EVENT_SITE_ID            NUMBER(18, 0),
    EVENT_ID                 NUMBER(18, 0)    NOT NULL,
    SITE_ID                  NUMBER(18, 0)    NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_irc_rec_event_sites PRIMARY KEY (EVENT_SITE_ID, EVENT_SITE_ID)
);
